﻿using System;
using System.IO;
using FarmerJoe.Settings;
using Styx;
using Styx.Common;
using Styx.Helpers;

namespace FarmerJoe.ClassSettings
{
    public class PriestSettings : Styx.Helpers.Settings
    {
        public PriestSettings() : base(Path.Combine(FpswareSettings.SettingsPath, "Priest.xml")) { }

        [Setting, DefaultValue(45)]
        public int RestMana { get; set; }

        [Setting, DefaultValue(45)]
        public int RestHealth { get; set; }



        [Setting, DefaultValue("... always")]
        public string CCControlledMovement { get; set; }

        [Setting, DefaultValue("... always")]
        public string CCControlledTargeting { get; set; }

        [Setting, DefaultValue("... always")]
        public string WaitForResSickness { get; set; }

        [Setting, DefaultValue("... always")]
        public string AllowLagTollerance { get; set; }

        [Setting, DefaultValue("... never")]
        public string TimeToDeathCheck { get; set; }

        [Setting, DefaultValue("... never")]
        public string Trinket1 { get; set; }

        [Setting, DefaultValue("... never")]
        public string Trinket2 { get; set; }

        [Setting, DefaultValue(60)]
        public int LifeSpiritHealth { get; set; }

        [Setting, DefaultValue(50)]
        public int WaterSpiritMana { get; set; }
        
        
        
        
        
        
        [Setting, DefaultValue(65)]
        public int RegrowthTankHealth { get; set; }
        
        [Setting, DefaultValue("... always")]
        public string LifebloomTank { get; set; }



        [Setting, DefaultValue("... always")]
        public string ShadowPull { get; set; }

        [Setting, DefaultValue("... always")]
        public string DisciplinePull { get; set; }

        [Setting, DefaultValue("... always")]
        public string HolyPull { get; set; }

        
    }
}
