﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Bots.DungeonBuddy.Helpers;
using Styx;
using Styx.CommonBot;

namespace FarmerJoe.Helpers
{
    internal static class Mounts
    {
        internal static void Init()
        {
            Mount.OnMountUp += Mount_OnMountUp;
        }

        private static void Mount_OnMountUp(object sender, MountUpEventArgs e)
        {
            if (e.Destination == WoWPoint.Zero) return;

            if (e.Destination.DistanceSqr(StyxWoW.Me.Location) < 60 * 60)
            {
                /*
                if (SpellManager.HasSpell("Ghost Wolf") && TalentsAndGlyphs.IsSelected(6))
                {
                    e.Cancel = true;

                    if (!StyxWoW.Me.HasAura("Ghost Wolf"))
                    {
                        Logger.Write("Using Ghost Wolf instead of mounting");
                        SpellManager.Cast("Ghost Wolf");
                    }
                }
                 
                else
                 */
                
                if (SpellManager.HasSpell("Travel Form"))
                {
                    e.Cancel = true;

                    if (!StyxWoW.Me.HasAura("Travel Form"))
                    {
                        Logging.Log.Write("Using Travel Form instead of mounting.");
                        SpellManager.Cast("Travel Form");
                    }
                }
            }
        }
    }
}
